function isIE()  
{  
	if(window.ActiveXObject || "ActiveXObject" in window){
		return true;
	}
   return false;
} 

//密码控件支持
/******************************************************
// 	 *功能描述:生成提交控件 IE使用
//   *Author: Mazg
//	 *参数说明
//   basePath:路径
//		
***************************************************** */ 
function createSafeCommitControl(basePath) {
  if(isIE()) {
       writeCommitActivxObject(basePath); 
  }
}
/******************************************************
//*功能描述:生成密码控件
//*Author: Mazg
//	 *参数说明：
//	id: 控件id
//  fieldName: 密码域在form内的字段ID（名称同）
//	basePath:路径
//  pwdMaxSize: 密码最大长度
//  pwdMinSize: 密码最小长度
//	pWidth:显示宽度
//	pHeight:显示高度
//  uniqueID：随机码密文
//  tabIndex: tab序号（仅针对控件排序）
//  rule:密码规则
//	
***************************************************** */ 
function createPwdSafeControl(id,fieldName,basePath,pwdMaxSize,pwdMinSize,pHeight,pWidth,uniqueID,tabIndex,rule,language) {
   if(isIE()) { 
      writePwdActivxObject(id,fieldName,basePath,pwdMaxSize,pwdMinSize,pHeight,pWidth,uniqueID,tabIndex,rule);
   }else {
	    writePwdNpApiObject(id,fieldName,basePath,pwdMaxSize,pwdMinSize,pHeight,pWidth,uniqueID,tabIndex,rule,language);
   }
}

/******************************************************
//*功能描述:生成密码控件  专用于隐藏区域中延迟加载的控件
//*Author: Mazg
//	 *参数说明：
//	id: 控件id
//fieldName: 密码域在form内的字段ID（名称同）
//	basePath:路径
//pwdMaxSize: 密码最大长度
//pwdMinSize: 密码最小长度
//	pWidth:显示宽度
//	pHeight:显示高度
//uniqueID：随机码密文
//tabIndex: tab序号（仅针对控件排序）
//rule:密码规则
//	
***************************************************** */ 
function createPwdSafeControlLazy(id,fieldName,basePath,pwdMaxSize,pwdMinSize,pHeight,pWidth,uniqueID,tabIndex,rule,language) {
	   if(isIE()) { 
	      writePwdActivxObject(id,fieldName,basePath,pwdMaxSize,pwdMinSize,pHeight,pWidth,uniqueID,tabIndex,rule,language);
	   }else {
		   
		   writePwdNpApiObjectLazy(id,fieldName,pHeight,pWidth);
	   }
	}

/******************************************************
//*功能描述:初始化密码控件 　用于需要在预先隐藏的DIV中后显示控件的情形
//*Author: Mazg
//*参数说明：
//id: 控件id
//fieldName: 密码域在form内的字段ID（名称同）
//pwdMaxSize: 密码最大长度
//pwdMinSize: 密码最小长度
//uniqueID：随机码密文
//rule:密码规则
//
***************************************************** */ 
function initSafeControlLazy(id,fieldName,pwdMaxSize,pwdMinSize,uniqueID,rule,language) {
  	//密码控件初始化  IE
	if(isIE()) {
      //initIEActivxObject(id);
	 }else{
	   //非IE控件
	  initPwdNpApiObject(id,fieldName,pwdMaxSize,pwdMinSize,uniqueID,rule,language);
	 }
}
/******************************************************
//*功能描述:密码控件提交(单个)
//*Author: Mazg
//*参数说明：
//id: 控件id
//submitFormID: 包含密码控件的form的ID
//	
***************************************************** */ 	
function submitSafeControl(id,submitFormID,language) {
    if(isIE()) {
	  //IE提交
      submitPwdByIE(id,submitFormID,language);
	}else {
      //非IE
      submitPwdNpApiObject(id,submitFormID,language);
	}
}
/******************************************************
//*功能描述:密码控件提交(多个)
//*Author: Mazg
//*参数说明：
//idSet: 控件id集合
//submitFormID: 包含密码控件的form的ID
//	
***************************************************** */ 
function submitSafeControls(idSet,submitFormID,language) {
  if(isIE()) {
	  //IE提交
	  submitPwdsByIE(idSet,submitFormID,language);
	}else {
    //非IE
    submitPwdNpApiObjects(idSet,submitFormID,language);
	}
}
